Bug 734460 - Roles can initially be created with prepended whitespace
Summary: Roles can initially be created with prepended whitespace
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-30 13:01 UTC by Corey Welton
Modified: 2013-03-27 20:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:54:26 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-08-30 13:01:21 UTC
Description of problem:
Upon initial creation of a role, said role can be created with leading whitespace.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Administration > Roles > New Role
2.  Attempt to create a role, "      this is a test role     "
3.  Save
4.  Attempt to edit role
  
Actual results:
Upon edit, user will note that the trailing whitespace has been removed during initial create, but the leading whitespace was not.

Expected results:
Do not allow leading whitespace when creating roles.

Additional info:

Comment 2 Corey Welton 2011-10-05 17:27:02 UTC
Validation Failed:
Name must not contain leading or trailing white spaces.

QA Verified


Note You need to log in before you can comment on or make changes to this bug.